package org.ziggurat.fenix.common.modelo.proveedores;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class LineaCCProveedor implements Serializable {

	private Date fecha;
	private String tipoComprobante;
	private String nroComprobante;
	private BigDecimal debe;
	private BigDecimal haber;
	private BigDecimal saldo;
	private String comentario;
	private TransaccionConProveedor transaccion;
	
	protected LineaCCProveedor(String comentario, BigDecimal debe, Date fecha, BigDecimal haber, String nroComprobante, BigDecimal saldo, String tipoComprobante, TransaccionConProveedor transaccion) {
		super();
		this.comentario = comentario;
		this.debe = debe;
		this.fecha = fecha;
		this.haber = haber;
		this.nroComprobante = nroComprobante;
		this.saldo = saldo;
		this.tipoComprobante = tipoComprobante;
		this.transaccion = transaccion;
	}

	public Date getFecha() {
		return fecha;
	}

	public String getTipoComprobante() {
		return tipoComprobante;
	}

	public String getNroComprobante() {
		return nroComprobante;
	}

	public BigDecimal getDebe() {
		return debe;
	}

	public BigDecimal getHaber() {
		return haber;
	}

	public BigDecimal getSaldo() {
		return saldo;
	}

	public String getComentario() {
		return comentario;
	}

	public TransaccionConProveedor getTransaccion() {
		return transaccion;
	}
	
}
