package org.ziggurat.fenix.common.modelo.proveedores.reportes;

import java.math.BigDecimal;
import java.util.Date;
import java.util.LinkedHashMap;
import java.util.Set;

public class ProgresionDeGastos {

	private Date fechaInicio;
	private Date fechaFin;
	private LinkedHashMap<String, BigDecimal> gastos = new LinkedHashMap<String, BigDecimal>(); 
	
	public ProgresionDeGastos(Date fechaInicio, Date fechaFin) {
		this.fechaFin = fechaFin;
		this.fechaInicio = fechaInicio;
	}
	
	public void addGasto(String descripcion, BigDecimal gasto) {
		gastos.put(descripcion, gasto);		
	}
	
	public Set<String> getKeys() {
		return gastos.keySet();
	}
	
	public BigDecimal getGasto(String key) {
		return gastos.get(key);
	}
	
}
