package org.ziggurat.fenix.common.modelo.transacciones;


public enum TipoDeTransaccion {
	VENTA_CONTADO("Compra al contado"),
	VENTA_CUENTA_CORRIENTE("Compra en cuenta corriente"),
	PAGO_DE_CLIENTE("Pago"),
	PAGO_A_PROVEEDOR_CONTADO("Pago a proveedor efectivo"),
	PAGO_A_PROVEEDOR_CHEQUE("Pago a proveedor (CHEQUE)"),
	COMPRA_A_PROVEEDOR("Compra a proveedor");

	private String descripcion;
	
	private TipoDeTransaccion(String descripcion) {
		this.descripcion = descripcion;
	}
	
	@Override
	public String toString() {
		return descripcion;
	}
	
}