CREATE TABLE categoria_proveedor
(
  id bigint NOT NULL,
  descripcion character varying(255),
  nombre character varying(255),
  CONSTRAINT categoria_proveedor_pkey PRIMARY KEY (id)
);

ALTER TABLE proveedores ADD COLUMN categoria_id bigint;
ALTER TABLE proveedores ALTER COLUMN categoria_id SET STORAGE PLAIN;
ALTER TABLE ONLY proveedores ADD CONSTRAINT fka91d980c21f57dad FOREIGN KEY (categoria_id) REFERENCES categoria_proveedor(id);

INSERT INTO categoria_proveedor(id, nombre, descripcion) values (1,'MERCADERIA', 'Compra de mercaderia');
INSERT INTO categoria_proveedor(id, nombre, descripcion) values (2,'COMBUSTIBLE','Compra de combustible');
INSERT INTO categoria_proveedor(id, nombre, descripcion) values (3,'TRANSPORTE', 'Transporte');
INSERT INTO categoria_proveedor(id, nombre, descripcion) values (4,'MANTENIMIENTO','Mantenimiento');
INSERT INTO categoria_proveedor(id, nombre, descripcion) values (5,'SERVICIOS','Servicios');
INSERT INTO categoria_proveedor(id, nombre, descripcion) values (6,'PUBLICIDAD','Publicidad');
INSERT INTO categoria_proveedor(id, nombre, descripcion) values (7,'PAPALERIA','Papeleria');
INSERT INTO categoria_proveedor(id, nombre, descripcion) values (8,'SEGUROS','Seguros');
INSERT INTO categoria_proveedor(id, nombre, descripcion) values (9,'OTROS','Otros');

UPDATE proveedores SET categoria_id = 1 WHERE tipodeproveedor = 'MERCADERIA';
UPDATE proveedores SET categoria_id = 2 WHERE tipodeproveedor = 'COMBUSTIBLE';
UPDATE proveedores SET categoria_id = 3 WHERE tipodeproveedor = 'TRANSPORTE';
UPDATE proveedores SET categoria_id = 4 WHERE tipodeproveedor = 'MANTENIMIENTO';
UPDATE proveedores SET categoria_id = 5 WHERE tipodeproveedor = 'SERVICIOS';
UPDATE proveedores SET categoria_id = 6 WHERE tipodeproveedor = 'PUBLICIDAD';
UPDATE proveedores SET categoria_id = 7 WHERE tipodeproveedor = 'PAPALERIA';
UPDATE proveedores SET categoria_id = 8 WHERE tipodeproveedor = 'SEGUROS';
UPDATE proveedores SET categoria_id = 9 WHERE tipodeproveedor = 'OTROS';