package org.ziggurat.fenix.web;

import org.apache.wicket.Page;
import org.apache.wicket.Response;
import org.apache.wicket.protocol.http.WebApplication;
import org.apache.wicket.protocol.http.WebRequest;
import org.apache.wicket.protocol.http.WebRequestCycle;
import org.ziggurat.fenix.common.database.hibernate.HibernateUtil;

public class MyRequestCycle extends WebRequestCycle {

	public MyRequestCycle(WebApplication application, WebRequest request,
			Response response) {
		super(application, request, response);
	}

	@Override
	protected void onBeginRequest() {
		HibernateUtil.currentSession();
		super.onBeginRequest();
	}
	
	@Override
	protected void onEndRequest() {
		HibernateUtil.closeSession();
		super.onEndRequest();
	}
	
	@Override
	public Page onRuntimeException(Page page, RuntimeException e) {
		//Enviar un mail
		return super.onRuntimeException(page, e);
	}
	
}
