package org.ziggurat.fenix.web.cheques;

import org.apache.wicket.authorization.strategies.role.annotations.AuthorizeInstantiation;
import org.apache.wicket.markup.html.IHeaderContributor;
import org.apache.wicket.markup.html.IHeaderResponse;
import org.apache.wicket.markup.html.panel.Panel;
import org.ziggurat.fenix.web.AbstractFenixPage;
import org.ziggurat.fenix.web.FenixRoles;

@AuthorizeInstantiation(FenixRoles.CHEQUES)
abstract public class AbstractChequesPage extends AbstractFenixPage implements IHeaderContributor {

	public AbstractChequesPage() {
		super();
	}

	@Override
	public Panel getSubMenuPanel() {
		return new SubMenuPanelCheques("submenu");
	}
	
	@Override
	public void renderHead(IHeaderResponse response) {
		response.renderOnLoadJavascript("$('chequesTab').addClassName('current')");
	}

}
