package org.ziggurat.fenix.web.clientes;

import org.apache.wicket.markup.html.IHeaderContributor;
import org.apache.wicket.markup.html.IHeaderResponse;
import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.markup.html.panel.Panel;

public class SubMenuPanelClientes extends Panel implements IHeaderContributor {

	public SubMenuPanelClientes(String id) {
		super(id);
		add(new Link("nuevoCliente") {
			@Override
			public void onClick() {
				setResponsePage(NuevoCliente.class);
			}
		});
		add(new Link("listadoDeClientes") {
			@Override
			public void onClick() {
				setResponsePage(ListadoDeClientes.class);
			}
		});
	}
	
	@Override
	public void renderHead(IHeaderResponse response) {
		response.renderOnLoadJavascript("$('clientesTab').addClassName('current');");
	}

}
