package org.ziggurat.fenix.web.matafuegos;

import org.apache.wicket.authorization.strategies.role.annotations.AuthorizeInstantiation;
import org.apache.wicket.markup.html.IHeaderContributor;
import org.apache.wicket.markup.html.IHeaderResponse;
import org.apache.wicket.markup.html.panel.Panel;
import org.ziggurat.fenix.web.AbstractFenixPage;
import org.ziggurat.fenix.web.FenixRoles;

@AuthorizeInstantiation(FenixRoles.MATAFUEGOS)
abstract public class AbstractMatafuegosPage extends AbstractFenixPage implements IHeaderContributor {

	public AbstractMatafuegosPage() {
	}
	
	@Override
	public Panel getSubMenuPanel() {
		return new SubMenuPanelMatafuegos("submenu");
	}
	
	@Override
	public void renderHead(IHeaderResponse response) {
		response.renderOnLoadJavascript("$('matafuegosTab').addClassName('current');");
	}

}
