package org.ziggurat.fenix.web.proveedores;

import org.apache.wicket.authorization.strategies.role.annotations.AuthorizeInstantiation;
import org.apache.wicket.markup.html.IHeaderContributor;
import org.apache.wicket.markup.html.IHeaderResponse;
import org.apache.wicket.markup.html.panel.Panel;
import org.ziggurat.fenix.web.AbstractFenixPage;
import org.ziggurat.fenix.web.FenixRoles;

@AuthorizeInstantiation(FenixRoles.PROVEEDORES)
abstract public class AbstractProveedoresPage extends AbstractFenixPage implements IHeaderContributor {

	public AbstractProveedoresPage() {
	}

	@Override
	public Panel getSubMenuPanel() {
		return new SubMenuPanelProveedores("submenu");
	}
	
	@Override
	public void renderHead(IHeaderResponse response) {
		response.renderOnLoadJavascript("$('proveedoresTab').addClassName('current')");
	}
	
}
