package org.ziggurat.fenix.web.proveedores;

import org.apache.wicket.markup.html.form.Form;
import org.apache.wicket.markup.html.form.TextField;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.PropertyModel;
import org.ziggurat.fenix.common.database.hibernate.HibProveedorRepository;
import org.ziggurat.fenix.common.modelo.proveedores.Proveedor;

public class BuscarProveedorPanel extends Panel {

	public BuscarProveedorPanel(String id) {
		super(id);
		add(new BuscarProveedorForm("formBuscarProveedor"));
	}
	
	private class BuscarProveedorForm extends Form {

		private TextField buscarProveedorTF;
		private String proveedor = new String("");
		
		public BuscarProveedorForm(String id) {
			super(id);
			buscarProveedorTF = new TextField("textFieldBuscarProveedor", new PropertyModel<String>(this, "proveedor"));
			add(buscarProveedorTF);
		}

		@Override
		protected void onSubmit() {
			// TODO Codigo feo, arrelgar
			HibProveedorRepository repoProv = new HibProveedorRepository();
			int result = repoProv.countProveedoresFiltrados(proveedor);
			if (result == 1) {
				Proveedor p = repoProv.getProveedoresPorNombre(proveedor).get(0);
				setResponsePage(new CCProveedorPage(p));
			} else {
				setResponsePage(new ListadoDeProveedores(proveedor));
			}
		}
		
	}

}
