package org.ziggurat.fenix.web.proveedores;

import junit.framework.TestCase;

import org.apache.wicket.util.tester.FormTester;
import org.apache.wicket.util.tester.WicketTester;
import org.ziggurat.fenix.web.DefaultStartPage;
import org.ziggurat.fenix.web.WicketApplication;
import org.ziggurat.fenix.web.login.LoginPage;

abstract public class AbstractProveedoresTest extends TestCase {

	protected WicketTester tester;
	
	public void setUp()
	{
		//HibernateUtil.deleteAllTransacciones();
		//HibernateUtil.deleteAllCheques();
		//HibernateUtil.deleteAllProveedores();
		tester = new WicketTester(new WicketApplication());
		tester.startPage(DefaultStartPage.class);
		login();
	}
	
	public void login() {
		tester.clickLink("proveedores");
		tester.assertRenderedPage(LoginPage.class);
		FormTester formTester = tester.newFormTester("signInPanel:signInForm");
		formTester.setValue("username", "fenix");
		formTester.setValue("password", "fenix");
		formTester.submit();
	}
	
}
