package org.ziggurat.fenix.common.services.proveedores;

import java.util.List;

import org.ziggurat.fenix.common.database.hibernate.HibCategoriasDeProveedoresRepository;
import org.ziggurat.fenix.common.modelo.proveedores.CategoriaDeProveedor;

public class CategoriasDeProveedorService {

	HibCategoriasDeProveedoresRepository repoCategorias = new HibCategoriasDeProveedoresRepository();
	
	public List<CategoriaDeProveedor> getCategorias() {
		return repoCategorias.findAll();		
	}
	
	public void saveCategoria(CategoriaDeProveedor unaCategoria) {
		repoCategorias.makePersistent(unaCategoria);
	}
	
}
