INSERT INTO cheques(
            id, cuit, alaordende, banco, descripcion, entregadopor, 
            estado, fecha, fechadecobro, monto, numerocheque, eliminado)
    SELECT id, cuit, alaordende, banco, descripcion, entregadopor, estado, 
       fecha, fechadecobro, monto, numerocheque, false
  FROM cheque ;

insert into PROVEEDORES select ID, CUIT, NOMBRE, NOTAS, TIPODEPROVEEDOR FROM PROVEEDOR;

insert into COMPRAS_A_PROVEEDOR(ID, ELIMINADO, FECHAALTAREGISTRO, NOTAS, PROVEEDOR_ID, FECHA, MONTOIVA, NETOSINIVA, NOGRAVADOEXENTO, NUMERO, PERCEPCIONES, TOTAL)
select tr.id, false, now(), notas, tr.PROVEEDOR_ID, fac.FECHA, MONTOIVA, NETOSINIVA, NOGRAVADOEXENTO, NUMERO, PERCEPCIONES, TOTAL
from TRANSACCION_CON_PROVEEDOR as tr, COMPRA_A_PROVEEDOR as c, FACTURA_DE_PROVEEDOR as fac where c.id = tr.id and c.FACTURA_FK = fac.id and fac.VIGENTE = true;

insert into PAGOS_A_PROVEEDOR (ID, ELIMINADO, FECHAALTAREGISTRO, NOTAS, PROVEEDOR_ID, FECHA, MONTO, NRORECIBO, CHEQUE_FK)
select tr.id, false, now(), tr.notas, PROVEEDOR_ID, p.FECHA, p.MONTO, p.NRORECIBO, p.CHEQUE_FK  
from PAGO_A_PROVEEDOR as p, TRANSACCION_CON_PROVEEDOR as tr where tr.id = p.id and p.VIGENTE = true;

