package org.ziggurat.fenix.web;

import org.apache.wicket.ajax.AjaxRequestTarget;
import org.apache.wicket.extensions.ajax.markup.html.modal.ModalWindow;

public abstract class SeleccionarModalWindow<T> extends ModalWindow {

	T selectedElement;
	
	public SeleccionarModalWindow(String id, FenixSeleccionarPanel<T> panel) {
		super(id);
		setContent(panel);
		setWindowClosedCallback(new ModalWindow.WindowClosedCallback()
        {
            public void onClose(AjaxRequestTarget target)
            {
                //TODO
            }
        });
		setCloseButtonCallback(new ModalWindow.CloseButtonCallback()
        {
            public boolean onCloseButtonClicked(AjaxRequestTarget target)
            {
                //setResult("Modal window 1 - close button");
                return true;
            }
        });
	}

	public T getSelectedElement() {
		return selectedElement;
	}

	public void setSelectedElement(T selectedElement) {
		this.selectedElement = selectedElement;
	}
	
}
