package org.ziggurat.fenix.web.cheques;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;
import org.ziggurat.fenix.common.modelo.transacciones.Cheque;
import org.ziggurat.fenix.common.util.FenixFormat;

public class DetalleCheque extends Panel {

	public DetalleCheque(String id, Cheque cheque) {
		super(id);
		add(new Label("monto", FenixFormat.getMoneda(cheque.getMonto())));
		add(new Label("entregadoPor", cheque.getEntregadoPor()));
		add(new Label("CUIT", cheque.getCUIT()));
		add(new Label("banco", cheque.getBanco()));
		add(new Label("fecha", cheque.getFecha().toString()));
		if (cheque.getFechaDeCobro() != null) {
			add(new Label("fechaDeCobro", cheque.getFechaDeCobro().toString()));
		} else {
			add(new Label("fechaDeCobro", ""));
		}
		add(new Label("aLaOrdenDe", cheque.getALaOrdenDe()));
		add(new Label("numeroCheque", cheque.getNumeroCheque()));
		add(new Label("descripcion", cheque.getDescripcion()));
		add(new Label("estado", cheque.getEstado().toString()));
	}
	
	
}
