package org.ziggurat.fenix.web.clientes;

import org.apache.wicket.authorization.strategies.role.annotations.AuthorizeInstantiation;
import org.apache.wicket.markup.html.IHeaderContributor;
import org.apache.wicket.markup.html.IHeaderResponse;
import org.apache.wicket.markup.html.panel.Panel;
import org.ziggurat.fenix.web.AbstractFenixPage;
import org.ziggurat.fenix.web.FenixRoles;

@AuthorizeInstantiation(FenixRoles.CLIENTES)
abstract public class AbstractClientesPage extends AbstractFenixPage implements IHeaderContributor {

	public AbstractClientesPage() {
	}
	
	@Override
	public Panel getSubMenuPanel() {
		return new SubMenuPanelClientes("submenu");
	}
	

	@Override
	public void renderHead(IHeaderResponse response) {
		response.renderOnLoadJavascript("$('clientesTab').addClassName('current');");
	}

}
