package org.ziggurat.fenix.web.clientes;

import org.apache.wicket.extensions.ajax.markup.html.modal.ModalWindow;
import org.ziggurat.fenix.common.modelo.clientes.Cliente;

public class ModalWindowSeleccionarCliente extends ModalWindow {

	private Cliente cliente = null;
	private PanelSeleccionarCliente panel = new PanelSeleccionarCliente(this);
	
	public ModalWindowSeleccionarCliente(String id) {
		super(id);
		setContent(panel);
		setCssClassName(ModalWindow.CSS_CLASS_GRAY);		
	}
	
	public void limpiarFiltro() {
		panel.limpiarFiltro();
	}
	
	public Cliente getCliente() {
		return cliente;
	}
	
	public void setCliente(Cliente cliente) {
		this.cliente  = cliente;
	}
	
}
