package org.ziggurat.fenix.web.matafuegos;

import java.util.Iterator;

import org.apache.wicket.markup.repeater.data.IDataProvider;
import org.apache.wicket.model.IModel;
import org.apache.wicket.model.Model;
import org.ziggurat.fenix.common.modelo.matafuego.Matafuego;
import org.ziggurat.fenix.common.services.matafuegos.MatafuegosService;

public class MatafuegosDataProvider implements IDataProvider<Matafuego> {

	@Override
	public Iterator<? extends Matafuego> iterator(int first, int count) {
		MatafuegosService service = new MatafuegosService();
		return service.findMatafuegosPage(first, count).iterator();
	}

	@Override
	public IModel<Matafuego> model(Matafuego object) {
		return new Model<Matafuego>(object);
	}

	@Override
	public int size() {
		MatafuegosService service = new MatafuegosService();
		return service.countMatafuegos();
	}

	@Override
	public void detach() {
		
	}

	
}
