package org.ziggurat.fenix.web.matafuegos;

import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.markup.html.panel.Panel;

public class SubMenuPanelMatafuegos extends Panel {

	public SubMenuPanelMatafuegos(String id) {
		super(id);
		add(new Link("nuevoMatafuego") {
			@Override
			public void onClick() {
				setResponsePage(NuevoMatafuego.class);
			}
		});
		add(new Link("listadoDeMatafuegos") {
			@Override
			public void onClick() {
				setResponsePage(ListadoDeMatafuegos.class);
			}
		});
		add(new Link("matafuegosInicio") {
			@Override
			public void onClick() {
				setResponsePage(MatafuegosInicio.class);
			}
		});
	}
}
