package org.ziggurat.fenix.web.proveedores;

import org.apache.wicket.markup.html.basic.Label;
import org.apache.wicket.markup.html.panel.Panel;
import org.ziggurat.fenix.common.modelo.proveedores.PagoAProveedorInmutable;
import org.ziggurat.fenix.common.util.FenixFormat;

public class DetallePagoConCheque extends Panel {

	public DetallePagoConCheque(String id, PagoAProveedorInmutable pago) {
		super(id);
		add(new Label("fecha", FenixFormat.getFecha(pago.getFecha())));
		add(new Label("monto", FenixFormat.getMoneda(pago.getMonto())));
		add(new Label("recibo", pago.getNroRecibo()));
		add(new Label("proveedor", pago.getProveedor().getNombre()));
		add(new Label("notas", pago.getNotas()));
		add(new Label("cheque", pago.getCheque().getNumeroCheque()));
	}

}
