package org.ziggurat.fenix.web.proveedores;

import org.apache.wicket.markup.html.link.Link;
import org.apache.wicket.markup.html.panel.Panel;

public class SubMenuPanelProveedores extends Panel {

	public SubMenuPanelProveedores(String id) {
		super(id);
		add(new Link("nuevoProveedor") {
			@Override
			public void onClick() {
			           setResponsePage(NuevoProveedor.class);
			}
		});
		add(new Link("listaProveedores") {
			@Override
			public void onClick() {
			           setResponsePage(ListadoDeProveedores.class);
			}
		});
		add(new Link("categorias") {
			@Override
			public void onClick() {
			           setResponsePage(ListadoDeCategorias.class);
			}
		});		
		/*add(new Link("resumenTotal") {
			@Override
			public void onClick() {
			           setResponsePage(new ResumenMensualPage(Calendar.getInstance().get(Calendar.MONTH) + 1, Calendar.getInstance().get(Calendar.YEAR)));
			}
		});
		add(new Link("pagosDelMes") {
			@Override
			public void onClick() {
				setResponsePage(new ListadoDePagosPage(Calendar.getInstance().get(Calendar.MONTH) + 1, Calendar.getInstance().get(Calendar.YEAR)));
			}
		});
		add(new Link("facturasDelMes") {
			@Override
			public void onClick() {
			           setResponsePage(new LibroDeIvaComprasPage(Calendar.getInstance().get(Calendar.MONTH) + 1, Calendar.getInstance().get(Calendar.YEAR)));
			}
		});
		add(new Link("progresionGastos") {
			@Override
			public void onClick() {
			           setResponsePage(new ProgresionDeGastosPage(6));
			}
		});*/
		add(new Link("listadoProveedoresDeudas") {
			@Override
			public void onClick() {
			           setResponsePage(new ListadoDeProveedoresDeudores());
			}
		});
	}

}
