package org.ziggurat.fenix.web.resumenes;

import org.apache.wicket.AttributeModifier;
import org.apache.wicket.authorization.strategies.role.annotations.AuthorizeInstantiation;
import org.apache.wicket.markup.html.panel.Panel;
import org.apache.wicket.model.Model;
import org.ziggurat.fenix.web.AbstractFenixPage;
import org.ziggurat.fenix.web.FenixRoles;

@AuthorizeInstantiation(FenixRoles.RESUMENES)
public abstract class AbstractResumenesPage extends AbstractFenixPage {

	
	public AbstractResumenesPage() {
		linkToResumenes.add(new AttributeModifier("class", true, new Model("active")));
	}
	
	@Override
	public Panel getSubMenuPanel() {
		return new SubMenuPanelResumenes("submenu");
	}

}
