package org.ziggurat.fenix.web.proveedores;

import org.apache.wicket.markup.html.link.Link;


public class TestListaDeProveedores extends AbstractProveedoresTest {

	public void testListaDeProveedores() {		
		tester.assertComponent("submenu:listaProveedores", Link.class);
		tester.clickLink("submenu:listaProveedores");
		tester.assertRenderedPage(ListadoDeProveedores.class);
	}
	
	public void testListaCategorias() {
		tester.assertComponent("submenu:categorias", Link.class);
		tester.clickLink("submenu:categorias");
		tester.assertRenderedPage(ListadoDeCategorias.class);
	}
	
	public void testListadoDeProveedoresConDeuda() {
		tester.assertComponent("submenu:listadoProveedoresDeudas", Link.class);
		tester.clickLink("submenu:listadoProveedoresDeudas");
		tester.assertRenderedPage(ListadoDeProveedoresDeudores.class);
	}	
	
}
